CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2003-0192

Apache 2 before 2.0.47, and certain versions of mod_ssl for Apache 1.3, do not properly handle "certain sequences of per-directory renegotiations and the SSLCipherSuite directive being used to upgrade from a weak ciphersuite to a strong one," which could cause Apache to use the weak ciphersuite.
Publish Date : 2003-08-18 Last Update Date : 2008-09-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.4
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID CWE id is not defined for this vulnerability

- Vendor Statements

Fixed in Apache HTTP Server 2.0.47: http://httpd.apache.org/security/vulnerabilities_20.html
Source: Apache
This issue affected Red Hat Enterprise Linux 2.1 and an update was released to correct it: http://rhn.redhat.com/errata/RHSA-2003-244.html Red Hat Enterprise Linux 3 contained a backported patch to correct this issue since release. This issue does not affect the versions of Apache in Enterprise Linux 4 or later.
Source: Redhat

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate 2003-07-09
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
Apache Weak Cipher Suite Vulnerability oval:org.mitre.oval:def:169 unix
mod_ssl renegotiation issue oval:org.apache.httpd:def:20030192
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2003-0192

# Product Type Vendor Product Version Update Edition Language
1 Application Apache Http Server 2.0 Version Details Vulnerabilities
2 Application Apache Http Server 2.0.28 Version Details Vulnerabilities
3 Application Apache Http Server 2.0.32 Version Details Vulnerabilities
4 Application Apache Http Server 2.0.35 Version Details Vulnerabilities
5 Application Apache Http Server 2.0.36 Version Details Vulnerabilities
6 Application Apache Http Server 2.0.37 Version Details Vulnerabilities
7 Application Apache Http Server 2.0.38 Version Details Vulnerabilities
8 Application Apache Http Server 2.0.39 Version Details Vulnerabilities
9 Application Apache Http Server 2.0.40 Version Details Vulnerabilities
10 Application Apache Http Server 2.0.41 Version Details Vulnerabilities
11 Application Apache Http Server 2.0.42 Version Details Vulnerabilities
12 Application Apache Http Server 2.0.43 Version Details Vulnerabilities
13 Application Apache Http Server 2.0.44 Version Details Vulnerabilities
14 Application Apache Http Server 2.0.45 Version Details Vulnerabilities
15 Application Apache Http Server 2.0.46 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apache Http Server 15

- References For CVE-2003-0192

http://www.redhat.com/support/errata/RHSA-2003-240.html
REDHAT RHSA-2003:240
http://marc.theaimsgroup.com/?l=bugtraq&m=105776593602600&w=2
BUGTRAQ 20030709 [ANNOUNCE][SECURITY] Apache 2.0.47 released
http://www.redhat.com/support/errata/RHSA-2003-243.html
REDHAT RHSA-2003:243
ftp://ftp.sco.com/pub/updates/UnixWare/SCOSA-2004.6/SCOSA-2004.6.txt
SCO SCOSA-2004.6
http://www.redhat.com/support/errata/RHSA-2003-244.html
REDHAT RHSA-2003:244
http://www.mandriva.com/security/advisories?name=MDKSA-2003:075
MANDRAKE MDKSA-2003:075

- Metasploit Modules Related To CVE-2003-0192

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.